<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>proyectofinal documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>
          <script>
               // Blocking script to avoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-md-none p-0">
               <div class="d-flex">
                    <a href="../" class="navbar-brand">proyectofinal documentation</a>
                    <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
               </div>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="d-none d-md-block menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  RegisterComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/view/register/register.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-register</code></td>
            </tr>






            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./register.component.html</code></td>
            </tr>



            <tr>
                <td class="col-md-3">styleUrl</td>
                <td class="col-md-9"><code>./register.component.css</code></td>
            </tr>





        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#message" >message</a>
                            </li>
                            <li>
                                <a href="#regForm" >regForm</a>
                            </li>
                            <li>
                                <a href="#users" >users</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#register" >register</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section data-compodoc="block-constructor">
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(connectbd: <a href="../injectables/UserformService.html" target="_self">UserformService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/view/register/register.component.ts:11</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>connectbd</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/UserformService.html" target="_self" >UserformService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="16"
                                    class="link-to-prism">src/app/view/register/register.component.ts:16</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="register"></a>
                    <span class="name">
                        <span ><b>register</b></span>
                        <a href="#register"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>register()</code>
                </td>
            </tr>


                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="24"
                                    class="link-to-prism">src/app/view/register/register.component.ts:24</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                        </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="message"></a>
                    <span class="name">
                        <span ><b>message</b></span>
                        <a href="#message"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/view/register/register.component.ts:15</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="regForm"></a>
                    <span class="name">
                        <span ><b>regForm</b></span>
                        <a href="#regForm"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>FormGroup</code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/view/register/register.component.ts:13</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="users"></a>
                    <span class="name">
                        <span ><b>users</b></span>
                        <a href="#users"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../classes/User.html" target="_self" >User[]</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/view/register/register.component.ts:14</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component } from &#x27;@angular/core&#x27;;
import {FormControl, FormGroup, Validators} from &quot;@angular/forms&quot;;
import {emailValidator, passwordValidator} from &quot;../login/loginvalidator.directive&quot;;
import {UserformService} from &quot;../../shared/services/userform.service&quot;;
import {User} from &quot;../../shared/classes/user&quot;;
@Component({
  selector: &#x27;app-register&#x27;,
  templateUrl: &#x27;./register.component.html&#x27;,
  styleUrl: &#x27;./register.component.css&#x27;
})
export class RegisterComponent {
  constructor (private connectbd:UserformService) { }
  regForm !: FormGroup;
  users : User[]&#x3D;[];
  message! : string;
  ngOnInit(): void {
    this.regForm &#x3D; new FormGroup( {
      nom : new FormControl(&#x27;&#x27;,
        [Validators.required,emailValidator(),Validators.minLength(7)]),
      password : new FormControl(&#x27;&#x27;,
        [Validators.required,passwordValidator(),Validators.minLength(8)])
    })
  }
  register() {
    this.connectbd.setUser((this.regForm))
      .subscribe(res &#x3D;&gt; {
        console.log(res);
        this.message &#x3D; res;
      });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;h1&gt;Register Form:&lt;/h1&gt;
  &lt;form [formGroup]&#x3D;&quot;regForm&quot; #formDir&#x3D;&quot;ngForm&quot;&gt;
    &lt;input type&#x3D;&quot;email&quot; id&#x3D;&quot;nom&quot; name&#x3D;&quot;nom&quot; placeholder&#x3D;&quot;nom&quot;
           formControlName&#x3D;&quot;nom&quot; required&gt;&lt;br/&gt;
    &lt;div&gt;
      &lt;div *ngIf&#x3D;&quot;regForm.controls[&#x27;nom&#x27;]?.errors?.[&#x27;required&#x27;]&quot;&gt;
        Nom és obligatori.
      &lt;/div&gt;
      &lt;div *ngIf&#x3D;&quot;regForm.controls[&#x27;nom&#x27;]?.errors?.[&#x27;emailStrength&#x27;]&quot;&gt;
        El correu ha de ser ies-sabadell.cat
      &lt;/div&gt;
      &lt;div *ngIf&#x3D;&quot;regForm.controls[&#x27;nom&#x27;]?.errors?.[&#x27;minlength&#x27;]&quot;&gt;
        El nom ha de tenir almenys 7 caracters.
      &lt;/div&gt;

    &lt;/div&gt;
    &lt;input type&#x3D;&quot;password&quot; placeholder&#x3D;&quot;Password&quot;
           formControlName&#x3D;&quot;password&quot; required&gt;
    &lt;br/&gt;
    &lt;div&gt;
      @if(regForm.controls[&#x27;password&#x27;]?.errors?.[&#x27;required&#x27;]){
        &lt;div&gt;Password is required.&lt;/div&gt;
      }
      @if(regForm.controls[&#x27;password&#x27;]?.errors?.[&#x27;minlength&#x27;]){
        &lt;div&gt;La password ha de tenir almenys 8 caracters.&lt;/div&gt;
      }
      @if(regForm.controls[&#x27;password&#x27;]?.errors?.[&#x27;passwordStrength&#x27;]){
        &lt;div&gt;Han d&#x27;haver números lletres minuscules i lletres majuscules.&lt;/div&gt;
      }
    &lt;/div&gt;
  &lt;/form&gt;
  &lt;button (click)&#x3D;&quot;register()&quot;
          [disabled]&#x3D;&quot;!regForm.valid&quot;&gt;Register&lt;/button&gt;
  &lt;p&gt;{{message}}&lt;/p&gt;
&lt;/div&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <h1>Register Form:</h1>  <form [formGroup]="regForm" #formDir="ngForm">    <input type="email" id="nom" name="nom" placeholder="nom"           formControlName="nom" required><br/>    <div>      <div *ngIf="regForm.controls[\'nom\']?.errors?.[\'required\']">        Nom és obligatori.      </div>      <div *ngIf="regForm.controls[\'nom\']?.errors?.[\'emailStrength\']">        El correu ha de ser ies-sabadell.cat      </div>      <div *ngIf="regForm.controls[\'nom\']?.errors?.[\'minlength\']">        El nom ha de tenir almenys 7 caracters.      </div>    </div>    <input type="password" placeholder="Password"           formControlName="password" required>    <br/>    <div>      @if(regForm.controls[\'password\']?.errors?.[\'required\']){        <div>Password is required.</div>      }      @if(regForm.controls[\'password\']?.errors?.[\'minlength\']){        <div>La password ha de tenir almenys 8 caracters.</div>      }      @if(regForm.controls[\'password\']?.errors?.[\'passwordStrength\']){        <div>Han d\'haver números lletres minuscules i lletres majuscules.</div>      }    </div>  </form>  <button (click)="register()"          [disabled]="!regForm.valid">Register</button>  <p>{{message}}</p></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'GameComponent', 'selector': 'app-game'},{'name': 'HelpComponent', 'selector': 'app-help'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'RankingComponent', 'selector': 'app-ranking'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'StartpageComponent', 'selector': 'app-startpage'}];
    var DIRECTIVES = [{'name': 'LoginvalidatorDirective', 'selector': ' [appValidarPassword]'}];
    var ACTUAL_COMPONENT = {'name': 'RegisterComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script>
               $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               checkToggle(darkModeState);
               if ($darkModeToggleSwitchers.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
